diff -u -r Common-4.2.2.0/config/js/config.js Common/config/js/config.js
--- Common-4.2.2.0/config/js/config.js	2013-01-30 16:24:54.000000000 +0900
+++ Common/config/js/config.js	2013-05-01 16:45:17.415135600 +0900
@@ -35,6 +35,7 @@
 		param.token = $.query.get('token') || param.token;
 		param.page = $.query.get('page') || param.page;
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.websocket.connect('config_'+(new Date().getTime()), function(){
 			jn.temp.started = true;
 			jn.getConfig(function(){
@@ -52,6 +53,7 @@
 									cf.dispLoading(false);
 									_bootflg = true;
 									jn.onInitializeDone && jn.onInitializeDone();
+									console.log('janet.onInitializeDone() is done.');
 									jn.temp.initialized = true;
 								});
 								cf.buildDesign();
diff -u -r Common-4.2.2.0/js/janet/api.js Common/js/janet/api.js
--- Common-4.2.2.0/js/janet/api.js	2013-01-30 16:24:54.000000000 +0900
+++ Common/js/janet/api.js	2013-05-01 17:06:01.423932400 +0900
@@ -154,6 +154,7 @@
 					jn.error && jn.error("Configuration cannot get.");
 				}
 				jn.onGetConfig && jn.onGetConfig(success, data);
+				console.log('janet.getConfig() is done.');
 			},
 			exp: true,
 			timeout: 500
@@ -170,6 +171,7 @@
 			done: function(success, _data, status){
 				done && done(success, _data, status);
 				jn.onSetConfig && jn.onSetConfig(success, data);
+				console.log('janet.setConfig() is done.');
 			},
 			timeout: 30000,
 		});
@@ -212,8 +214,10 @@
 				// 2012/09/04 @ginlime
 				// jn.onGetMessages を done の前に移動し、jn.onGetMessagesDone を追加
 				jn.onGetMessages && jn.onGetMessages(success, data);
+				console.log('janet.getMessages() is ...');
 				done && done(jn.msg);
 				jn.onGetMessagesDone && jn.onGetMessagesDone(success, data);
+				console.log('janet.getMessages() is done.');
 			}
 		});
 	};
@@ -248,6 +252,7 @@
 				}
 				done && done(jn.accounts);
 				jn.onGetAccounts && jn.onGetAccounts(success, data);
+				console.log('janet.getAccounts() is done.');
 			}
 		});
 	};
@@ -304,6 +309,7 @@
 				}
 				done && done(jn.timelines);
 				jn.onLoadTimelines && jn.onLoadTimelines(success, data);
+				console.log('janet.loadTimelines() is done.');
 			},
 			timeout: 10000,
 		},15);
@@ -338,6 +344,7 @@
 				}
 				done && done(jn.timelines);
 				jn.onGetTimelines && jn.onGetTimelines(success, data);
+				console.log('janet.getTimelines() is done.');
 			},
 			exp: true,
 			exp_max: 15000,
@@ -410,6 +417,7 @@
 				}
 				done && done(jn.lists);
 				jn.onGetLists && jn.onGetLists(success, data);
+				console.log('janet.getLists() is done.');
 			}
 		});
 	};
@@ -1019,6 +1027,7 @@
 							document.getElementsByTagName("head")[0].appendChild(jsonp);
 						});
 					}
+					console.log('janet.pluginLoad() is done.');
 					jn.temp.pluginLoaded = true;
 				}
 			});
diff -u -r Common-4.2.2.0/js/janet/contextmenu.js Common/js/janet/contextmenu.js
--- Common-4.2.2.0/js/janet/contextmenu.js	2013-01-30 18:45:10.000000000 +0900
+++ Common/js/janet/contextmenu.js	2013-05-01 16:52:30.387719600 +0900
@@ -150,6 +150,7 @@
 			options.children('li:not([action="trends"])').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuOptionsBuildStarted && jn.onContextMemuOptionsBuildStarted(accounts);
+			console.log('janet.contextMenu.buildOptionsMenu() is started.');
 			if(jn.accounts.length>1){
 				options.children('li[action="profile"]')
 					.append(accountssubmenu.clone())
@@ -198,6 +199,7 @@
 			all.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuAllBuildStarted && jn.onContextMemuAllBuildStarted(accounts);
+			console.log('janet.contextMenu.buildAllMenu() is started.');
 			if(jn.accounts.length>1){
 				all.children('li[action="favorite"]')
 					.append(accountssubmenu.clone())
@@ -253,6 +255,7 @@
 			tweet.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuGearBuildStarted && jn.onContextMemuGearBuildStarted(accounts);
+			console.log('janet.contextMenu.buildGearMenu() is started.');
 			if(jn.accounts.length>1){
 				tweet.children('li[action="favorite"]')
 					.append(accountssubmenu.clone())
@@ -313,6 +316,7 @@
 			reply.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuReplyBuildStarted && jn.onContextMemuReplyBuildStarted(accounts);
+			console.log('janet.contextMenu.buildReplyMenu() is started.');
 			$().jeegoocontext('contextmenu-reply', {
 				onShow: jn.contextMenu.onShowReply,
 				onSelect: jn.contextMenu.onSelectReply
@@ -361,6 +365,7 @@
 			fav.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuFavBuildStarted && jn.onContextMemuFavBuildStarted(accounts);
+			console.log('janet.contextMenu.buildFavMenu() is started.');
 			if(jn.accounts.length>1){
 				fav.children('li[action="favorite"]')
 					.append(accountssubmenu.clone())
@@ -426,6 +431,7 @@
 			rt.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuRTBuildStarted && jn.onContextMemuRTBuildStarted(accounts);
+			console.log('janet.contextMenu.buildRTMenu() is started.');
 			if(jn.accounts.length>1){
 				rt.children('li[action="retweet"]')
 					.append(accountssubmenu.clone())
@@ -465,6 +471,7 @@
 			atUser.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuAtUserBuildStarted && jn.onContextMemuAtUserBuildStarted(accounts);
+			console.log('janet.contextMenu.buildAtUserMenu() is started.');
 			atUser.children('li[action="mute"]')
 				.append(mutesubmenu.clone());
 			$().jeegoocontext('contextmenu-user', {
@@ -509,6 +516,7 @@
 			.append(accountssubmenu.children('li').clone());
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuSelectAccountBuildStarted && jn.onContextMemuSelectAccountBuildStarted(accounts);
+			console.log('janet.contextMenu.buildSelectAccountMenu() is started.');
 			$().jeegoocontext('contextmenu-account', {
 				onShow: jn.contextMenu.onShowSelectAccount,
 				onSelect: jn.contextMenu.onSelectSelectAccount
@@ -546,6 +554,7 @@
 			tl.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuTimeLineBuildStarted && jn.onContextMemuTimeLineBuildStarted(accounts);
+			console.log('janet.contextMenu.buildTimeLineMenu() is started.');
 			if(jn.accounts.length>1){
 				tl.children('li[action="savesearch"]')
 				.append(accountssubmenu.clone())
@@ -657,6 +666,7 @@
 			linkItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuLinkBuildStarted && jn.onContextMemuLinkBuildStarted(accounts);
+			console.log('janet.contextMenu.buildLinkMenu() is started.');
 			$().jeegoocontext('contextmenu-link', {
 				onShow: jn.contextMenu.onShowLink,
 				onSelect: jn.contextMenu.onSelectLink
@@ -690,6 +700,7 @@
 			selectText.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuSelectTextBuildStarted && jn.onContextMemuSelectTextBuildStarted(accounts);
+			console.log('janet.contextMenu.buildSelectTextMenu() is started.');
 			$().jeegoocontext('contextmenu-selecttext', {
 				onShow: jn.contextMenu.onShowSelectText,
 				onSelect: jn.contextMenu.onSelectSelectText,
@@ -736,6 +747,7 @@
 			hashItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuHashBuildStarted && jn.onContextMemuHashBuildStarted(accounts);
+			console.log('janet.contextMenu.buildHashMenu() is started.');
 			$().jeegoocontext('contextmenu-hash', {
 				onShow: jn.contextMenu.onShowHash,
 				onSelect: jn.contextMenu.onSelectHash
@@ -771,6 +783,7 @@
 			viaItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuViaBuildStarted && jn.onContextMemuViaBuildStarted(accounts);
+			console.log('janet.contextMenu.buildViaMenu() is started.');
 			$().jeegoocontext('contextmenu-app', {
 				onShow: jn.contextMenu.onShowVia,
 				onSelect: jn.contextMenu.onSelectVia
@@ -807,6 +820,7 @@
 			draftItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuDraftBuildStarted && jn.onContextMemuDraftBuildStarted(accounts);
+			console.log('janet.contextMenu.buildDraftMenu() is started.');
 			$().jeegoocontext('contextmenu-draft', {
 				onShow: jn.contextMenu.onShowDraft,
 				onSelect: jn.contextMenu.onSelectDraft
@@ -881,6 +895,7 @@
 		'buildTrendsMenu' : function(){
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuTrendsBuildStarted && jn.onContextMemuTrendsBuildStarted();
+			console.log('janet.contextMenu.buildTrendsMenu() is started.');
 			if(jn.accounts.length){
 				jn.getTrends(jn.accounts[0].juid, jn.temp.woeid, function(success, data){
 					if(success && data[0] && data[0].trends && data[0].trends.length){
diff -u -r Common-4.2.2.0/js/janet/main.js Common/js/janet/main.js
--- Common-4.2.2.0/js/janet/main.js	2013-03-05 16:10:44.000000000 +0900
+++ Common/js/janet/main.js	2013-05-01 16:53:47.108038000 +0900
@@ -8,6 +8,7 @@
 		// スタート
 		//================================================
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.temp.started = true;
 		//各オブジェクト作成
 		jn.newlistdlg = new jn.newlistdialog();
@@ -96,6 +97,7 @@
 									jn.timelines = timelines;
 									jn.unreaderMgr.display();
 									jn.onInitializeDone && jn.onInitializeDone();
+									console.log('janet.onInitializeDone() is done.');
 									jn.temp.initialized = true;
 								});
 							}, true);
@@ -158,6 +160,7 @@
 					dummyImg.src = "../../Common/images/main_sprite.png";
 					//テーマ用
 					jn.onLoadEnd && jn.onLoadEnd();
+					console.log('janet.onLoadEnd() is done.');
 				}
 			});
 			jn.getTwConfig();
diff -u -r Common-4.2.2.0/js/janet/message.js Common/js/janet/message.js
--- Common-4.2.2.0/js/janet/message.js	2013-01-28 14:30:56.000000000 +0900
+++ Common/js/janet/message.js	2013-05-01 16:56:06.137953200 +0900
@@ -166,6 +166,7 @@
 	jn.messageTimelineController.prototype.updateFromWebSocket = function(tweets){
 		var self = this;
 		if(this.firstGapUpdated && !this.update_lock){
+			console.log('janet.onReceiveNewStatusesBefore() is doing now.');
 			if(jn.onReceiveNewStatusesBefore && jn.onReceiveNewStatusesBefore(tweets, self))
 				return;
 			
@@ -202,6 +203,7 @@
 								self.restoreScrollPos(true, true);
 							}
 							jn.onReceiveNewStatusesAfter && jn.onReceiveNewStatusesAfter(self);
+							console.log('janet.onReceiveNewStatusesAfter() is done.');
 						};
 					}
 				}
@@ -957,6 +959,7 @@
 		if(this.scroll)
 			this.restoreScrollPos();
 		this.onChangeFontSize && this.onChangeFontSize();
+		console.log('janet.messageTimelineController.changeFontSize() is done.');
 	},
 	
 	//------------------------------------------
@@ -1060,6 +1063,7 @@
 	var onChangeFontSizeOriginal = jn.editor.onChangeFontSize;
 	jn.editor.onChangeFontSize = function(){
 		onChangeFontSizeOriginal && onChangeFontSizeOriginal();
+		console.log('janet.editor.onChangeFontSizeOriginal() is done.');
 		
 		$('.conversation-edit-wrapper')
 			.each(function(){
diff -u -r Common-4.2.2.0/js/janet/timeline.js Common/js/janet/timeline.js
--- Common-4.2.2.0/js/janet/timeline.js	2013-01-28 14:30:56.000000000 +0900
+++ Common/js/janet/timeline.js	2013-05-01 16:57:33.323319600 +0900
@@ -301,6 +301,7 @@
 		updateFromWebSocket: function(tweets){
 			var self = this;
 			if(this.firstGapUpdated && !this.update_lock){
+				console.log('janet.onReceiveNewStatusesBefore() is doing now.');
 				if(jn.onReceiveNewStatusesBefore && jn.onReceiveNewStatusesBefore(tweets, self))
 					return;
 				
@@ -362,6 +363,7 @@
 										self.restoreScrollPos(true, true);
 									}
 									jn.onReceiveNewStatusesAfter && jn.onReceiveNewStatusesAfter(self);
+									console.log('janet.onReceiveNewStatusesAfter() is done.');
 								};
 							}
 						}
@@ -2140,6 +2142,7 @@
 			if(this.scroll)
 				this.restoreScrollPos();
 			this.onChangeFontSize && this.onChangeFontSize();
+			console.log('janet.timelineController.changeFontSize() is done.');
 		},
 		
 		//------------------------------------------
diff -u -r Common-4.2.2.0/js/janet/tweetedit.js Common/js/janet/tweetedit.js
--- Common-4.2.2.0/js/janet/tweetedit.js	2012-12-11 14:29:30.000000000 +0900
+++ Common/js/janet/tweetedit.js	2013-05-01 17:00:46.130562800 +0900
@@ -327,6 +327,7 @@
 			var expanded = $('#tweet-edit-container > .expanded:visible');
 			
 			if(!expanded.length){
+				console.log('janet.onTweetBoxShowBegin() is doing now.');
 				if(jn.onTweetBoxShowBegin){
 					if(!jn.onTweetBoxShowBegin(expanded))
 						return;
@@ -357,6 +358,7 @@
 				textarea.focus();
 				
 				jn.onTweetBoxShowEnd && jn.onTweetBoxShowEnd(expanded);
+				console.log('janet.onTweetBoxShowEnd() is done.');
 			}
 		},
 		insertFooter: function(){
@@ -416,6 +418,7 @@
 							.find('textarea').val(text);
 						}
 						jn.onCompactTweetBox && jn.onCompactTweetBox();
+						console.log('janet.onCompactTweetBox() is done.');
 					}
 				},10);
 			}
@@ -751,6 +754,7 @@
 				.addClass('font-' + jn.conf.tweet_edit_fontsize);
 			this._resizeMain && this._resizeMain();
 			this.onChangeFontSize && this.onChangeFontSize();
+			console.log('janet.tweeteditor.changeFontSize() is done.');
 		},
 		//------------------------------------------------
 		// ツイートアカウント切替
@@ -931,6 +935,7 @@
 						self.compactTweetBox();
 						self.removeAllTweetPhotos();
 						jn.onTweeted && jn.onTweeted(jn.msg.successSendTweet);
+						console.log('janet.onTweeted() is done.');
 						var undo = null;
 						if(data.id_str && data.id_str.length){
 							undo = function(){
@@ -1024,6 +1029,7 @@
 						self.compactTweetBox();
 						self.removeAllTweetPhotos();
 						jn.onMessaged && jn.onMessaged(jn.msg.successSendMessage);
+						console.log('janet.onMessaged() is done.');
 						var undo = null;
 						if(data.id_str && data.id_str.length){
 							undo = function(){
@@ -1126,6 +1132,7 @@
 							jn.profileDialog.displayStatus(jn.msg.successSendRetweet);
 						}else{
 							jn.onRetweeted && jn.onRetweeted(jn.msg.successSendRetweet);
+							console.log('janet.onRetweeted() is done.');
 							jn.notice(jn.msg.successSendRetweet, null, function(){
 								self._removeTweet(juid, data.id_str);
 							});
diff -u -r Common-4.2.2.0/notice/js/notice.js Common/notice/js/notice.js
--- Common-4.2.2.0/notice/js/notice.js	2013-01-28 14:30:56.000000000 +0900
+++ Common/notice/js/notice.js	2013-05-01 17:24:55.619262000 +0900
@@ -21,6 +21,7 @@
 	//------------------------------------------------
 	$(function(){
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.temp.started = true;
 		suspended = (($.query.get('suspended')||'').toLowerCase() == 'true');
 		window.status = 'janet://noticeHide';
@@ -32,6 +33,7 @@
 				//プラグインのロードを先に行わせてから実行
 				setTimeout(function(){
 					jn.onInitializeDone && jn.onInitializeDone();
+					console.log('janet.onInitializeDone() is done.');
 					jn.temp.initialized = true;
 				});
 			});
@@ -75,6 +77,7 @@
 		/**
 		 * 新着ツイート通知
 		 */
+		console.log('janet.onReceiveNewTweetsBefore() is doing now.');
 		if(jn.onReceiveNewTweetsBefore && jn.onReceiveNewTweetsBefore(data))
 			return;
 		
@@ -138,6 +141,7 @@
 		nt.display(timeline);
 		
 		jn.onReceiveNewTweetsAfter && jn.onReceiveNewTweetsAfter();
+		console.log('janet.onReceiveNewTweetsAfter() is done.');
 		
 		window.status = 'janet://received';
 	};
@@ -146,6 +150,7 @@
 		 * イベント通知
 		 */
 		console.log(data);
+		console.log('janet.onReceiveNewEventBefore() is doing now.');
 		if(jn.onReceiveNewEventBefore && jn.onReceiveNewEventBefore(data))
 			return;
 		
@@ -180,6 +185,7 @@
 		nt.display(event_key);
 		
 		jn.onReceiveNewEventAfter && jn.onReceiveNewEventAfter();
+		console.log('janet.onReceiveNewEventAfter() is done.');
 		console.log('notification done.');
 	};
 	nt.pushQueue = function(key, obj){
@@ -1100,6 +1106,7 @@
 			onShow: jn.contextMenu.onShowReplyDM,
 			onSelect: jn.contextMenu.onSelectReplyDM
 		});
+		console.log('janet.contextMenu.buildReplyDMMenu() is done.');
 	};
 	//------------------------------------------------
 	// メニュー表示非表示制御（DM返信）
diff -u -r Common-4.2.2.0/profile/js/profile.js Common/profile/js/profile.js
--- Common-4.2.2.0/profile/js/profile.js	2013-03-05 16:10:44.000000000 +0900
+++ Common/profile/js/profile.js	2013-05-01 17:22:34.356135600 +0900
@@ -35,6 +35,7 @@
 	//------------------------------------------------
 	$(function(){
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.temp.started = true;
 		pf.dispLoading(true);
 		param.host = $.query.get('host') || param.host;
@@ -55,6 +56,7 @@
 								jn.buildContextMenu(accounts);
 								pf.initialize();
 								jn.onInitializeDone && jn.onInitializeDone();
+								console.log('janet.onInitializeDone() is done.');
 								jn.temp.initialized = true;
 							});
 						});
diff -u -r Common-4.2.2.0/viewer/js/map.js Common/viewer/js/map.js
--- Common-4.2.2.0/viewer/js/map.js	2012-12-05 13:34:40.000000000 +0900
+++ Common/viewer/js/map.js	2013-05-01 17:04:15.992329200 +0900
@@ -94,6 +94,7 @@
 								});
 							self.createMarker(map, results[0].geometry.location);
 							janet.onInitializeDone && janet.onInitializeDone();
+							console.log('janet.onInitializeDone() is done.');
 							janet.temp.initialized = true;
 						}else{
 							console.log('Geocode was not successful for the following reason: ' + status);
@@ -352,6 +353,7 @@
 //loading...
 $(function(){
 	janet.onInitialize && janet.onInitialize();
+	console.log('janet.onInitialize() is done.');
 	janet.temp.started = true;
 	//janet.pluginLoad();
 	//クルクル表示
diff -u -r Common-4.2.2.0/viewer/js/viewer.js Common/viewer/js/viewer.js
--- Common-4.2.2.0/viewer/js/viewer.js	2012-12-05 13:34:40.000000000 +0900
+++ Common/viewer/js/viewer.js	2013-05-01 17:05:15.808340400 +0900
@@ -131,6 +131,7 @@
 			self.setEvent();
 			self.webViewAction('viewerChangeSize',{width: w, height: h});
 			janet.onInitializeDone && janet.onInitializeDone();
+			console.log('janet.onInitializeDone() is done.');
 			janet.temp.initialized = true;
 		}
 	},
@@ -292,6 +293,7 @@
 	var imageViewer = new jImageViewer();
 	jQuery(function($){
 		janet.onInitialize && janet.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		janet.temp.started = true;
 		//janet.pluginLoad();
 		imageViewer.start();
